Subject: bug#14192: 24.3.50; recursive edit while running ispell not working usefully

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jan 2024 08:49:57 +0200

> Cc: [email-masked]
> Date: Thu, 11 Jan 2024 04:13:50 +0100
> From:  Michael Heerdegen via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > If I don't hear back from you within a couple of months, Ill just assume
> > that this has been fixed and close this bug.
> 
> I hope this is not your standard reply.  I mean, ten years, I could have
> died in the meantime, which would not mean that the bug has magically
> disappeared.  I hope you send this kind of text only to people you know
> that are still using Emacs regularly.  Because, if some user asks a
> question, gets no answer, then makes a bug report, and is ignored for
> ten years, it is very unfriendly to request anything at all.  I
> know about the situation of our bug collection, but this is not
> expedient.  You can't expect anyone to even still use Emacs after
> a whole decade.

He said "if I don't hear from you".  If there's no answer and no new
information, leaving bugs open just accumulates bugs that are not (and
cannot be) worked on.  So we made a decision to close such bugs.  If
the issue still exists and affects someone, those persons will
probably report it at some point with enough information to allow
investigating and fixing the problem.

I don't see anything wrong with this policy.  We do know from bitter
experience the downsides of not closing such bugs -- gobs of open bugs
that no one looks at.  That is worse, IMNSHO.